import { Tap } from '@iotize/tap';
import { KeepAliveEngine } from '@iotize/tap/keep-alive';
declare module '@iotize/tap/lib/tap' {
    interface Tap {
        /**
         * Alias for getKeepAliveEngine()
         */
        keepAlive: KeepAliveEngine;
        /**
         * Setup keep alive engine according the
         * current Tap configuration (according to connection lifetime)
         */
        setupKeepAliveFromConfig(): Promise<void>;
        /**
         * Get keep alive engine
         * @deprecated use property keepAlive instead
         */
        getKeepAliveEngine(): KeepAliveEngine;
    }
}
export declare const _TAP_EXTENSION_KEEP_ALIVE_: void;
/**
 * @deprecated use keepAlive property instead
 * @param this
 */
export declare function getKeepAliveEngine(this: Tap): KeepAliveEngine;
export declare function setupKeepAliveFromConfig(this: Tap): Promise<void>;
